<template>
  <div class="home">
    <h1>Home</h1>
  </div>
</template>

<script>
// @ is an alias to /src
//import HelloWorld from '@/components/HelloWorld.vue';
import ApiService from "../services/api.service";

export default {
  name: 'Home',
  components: {
  },
  data() {
    return { 
      movies: [],
      page: 1,
    }
  },
  async created() {
    const { data } = await ApiService.getPopular(this.page);
    this.movies = data.results;
    console.log(this.movies);
  },
  methods: {
    async addMovies() {
      this.page ++;
      const { data } = await ApiService.getPopular(this.page);
      const newData = data.results;

      newData.map((new_movie) => {
        this.movies.push(new_movie);
      })
    }
  }
}
</script>

<style lang="scss">
</style>
